qmf::Subscription Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::Subscription Class Reference

`#include <qmf/Subscription.h>`

List of all members.

## Public Member Functions
| Subscription (SubscriptionImpl *impl=0)
| Subscription (const Subscription &)
Subscription & | operator= (const Subscription &)
| ~Subscription ()
void | cancel ()
| Construction: A subscription is created by calling ConsoleSession::subscribe.
bool | isActive () const
| Check to see if this subscription is active.
void | lock ()
| lock and unlock should be used to bracket a traversal of the data set.
void | unlock ()
uint32_t | getDataCount () const
Data | getData (uint32_t) const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::Subscription::Subscription | ( | SubscriptionImpl * | impl = `0` | ) |

qmf::Subscription::Subscription | ( | const Subscription & |  | ) |

qmf::Subscription::~Subscription | ( |  | ) |

## Member Function Documentation

void qmf::Subscription::cancel | ( |  | ) |

Construction: A subscription is created by calling ConsoleSession::subscribe.

Cancel subscriptions to all subscribed agents. After this is called, the subscription shall be inactive.

Data qmf::Subscription::getData | ( | uint32_t |  | ) | const

uint32_t qmf::Subscription::getDataCount | ( |  | ) | const

bool qmf::Subscription::isActive | ( |  | ) | const

Check to see if this subscription is active.

It is active if it has a live subscription on at least one agent. If it is not active, there is nothing that can be done to make it active, it can only be deleted.

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

void qmf::Subscription::lock | ( |  | ) |

lock and unlock should be used to bracket a traversal of the data set.

After lock is called, the subscription will not change its set of available data objects. Between calls to getDataCount and getData, no data objects will be added or removed. After unlock is called, the set of data will catch up to any activity that occurred while the lock was in effect.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

Subscription& qmf::Subscription::operator= | ( | const Subscription & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

void qmf::Subscription::unlock | ( |  | ) |

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/Subscription.h